summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorP. J. McDermott <pj@pehjota.net>2016-01-17 14:29:29 (EST)
committer P. J. McDermott <pj@pehjota.net>2016-01-17 14:29:29 (EST)
commit178a357e7091772c79171dee607567ade82e647a (patch)
treeac3cba7fbafb4b5f2cdb96241b6196201af4d2c4
parent9b8b846c403d99b8d056662259758a322f4812cb (diff)
install_system(): Check return value of install_*_pkgs()
-rw-r--r--src/install.sh9
1 files changed, 7 insertions, 2 deletions
diff --git a/src/install.sh b/src/install.sh
index 434a5f4..b14151c 100644
--- a/src/install.sh
+++ b/src/install.sh
@@ -65,8 +65,13 @@ install_system()
>"${root}/prokit/installing"
info "$(get_msg 'install_find_pkgs')"
- install_find_pkgs "${mirror}" "${suite}" "${arch}" "${plat}" "${root}"
- install_get_pkgs "${root}"
+ if ! install_find_pkgs "${mirror}" "${suite}" "${arch}" "${plat}" \
+ "${root}"; then
+ return 1
+ fi
+ if install_get_pkgs "${root}"; then
+ return 1
+ fi
info "$(get_msg 'install_configuring')"
if ! ${foreign}; then